﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.Ribbon;

namespace HideRibbonToolTips
{
	/// <summary>
	/// Interaction logic for Window1.xaml
	/// </summary>
	public partial class Window1 : XamRibbonWindow
	{
		public Window1()
		{
			InitializeComponent();
		}

		private void XamRibbon_RibbonToolTipOpening(object sender, Infragistics.Windows.Extensions.ProxyEventArgs<ToolTipEventArgs> e)
		{
			DependencyObject originalSource = e.OriginalEventArgs.OriginalSource as DependencyObject;

			if (originalSource != null)
			{
				// for the tooltipopening event, setting the Handled to true means that 
				// you don't want the wpf framework to show the tooltip so we can use 
				// this to suppress the tooltip
				switch (XamRibbon.GetLocation(originalSource))
				{
					case ToolLocation.ApplicationMenu:
					case ToolLocation.ApplicationMenuRecentItems:
					case ToolLocation.ApplicationMenuSubMenu:
					case ToolLocation.Menu:
						ToolMenuItem tmi = originalSource as ToolMenuItem;

						// we'll disable the tooltips for menu items where there 
						// is no shortcut text specified
						if (tmi != null && string.IsNullOrEmpty(tmi.InputGestureText))
							e.OriginalEventArgs.Handled = true;
						break;

					case ToolLocation.ApplicationMenuFooterToolbar:
						// we decided to hide all tooltips in the footer toolbar
						e.OriginalEventArgs.Handled = true;
						break;
				}
			}
		}
	}
}
